Name: compat-libcap1
Version: 1.10
Release: 1
Summary: Library for getting and setting POSIX.1e capabilities
Source: ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.4/libcap-1.10.tar.bz2
Source1: http://ftp.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.4/capfaq-0.2.txt
License: BSD-like and LGPL
Patch: libcap-1.10-ia64.patch
Patch1: libcap-1.10-userland.patch
Patch2: libcap-1.10-shared.patch
Patch3: libcap-1.10-alpha.patch
Patch4: libcap-1.10-useCFLAGSwithCC.patch
Patch5: libcap-1.10-types.patch
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
libcap is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

%prep
%setup -q -n libcap-1.10
# FIXME: Is this really required still?
%patch -p1 -b .ia64
%ifarch alpha
# FIXME: Is this really required still?
%patch3 -p1 -b .alpha
%endif
%patch1 -p1 -b .userland
%patch2 -p1 -b .shared
%patch4 -p1
%patch5 -p1

%build
make PREFIX=%{_prefix} LIBDIR=%{_libdir} 

%install
rm -rf ${RPM_BUILD_ROOT}
make install FAKEROOT=${RPM_BUILD_ROOT} \
             LIBDIR=${RPM_BUILD_ROOT}/%{_lib} \
             SBINDIR=${RPM_BUILD_ROOT}/%{_sbindir} \
             INCDIR=${RPM_BUILD_ROOT}/%{_includedir} \
             MANDIR=${RPM_BUILD_ROOT}/%{_mandir}/ \
             COPTFLAG="$RPM_OPT_FLAGS"
mkdir -p ${RPM_BUILD_ROOT}/%{_mandir}/man{2,3,8}
rm -f doc/cap_set_fd* doc/cap_set_file*
#mv -f doc/*.2 ${RPM_BUILD_ROOT}/%{_mandir}/man2/
#mv -f doc/*.3 ${RPM_BUILD_ROOT}/%{_mandir}/man3/
cp %{SOURCE1} doc/

chmod +x ${RPM_BUILD_ROOT}/%{_lib}/*.so.*
rm -rf ${RPM_BUILD_ROOT}/%{_sbindir}/
rm -rf ${RPM_BUILD_ROOT}/%{_includedir}/
rm -rf ${RPM_BUILD_ROOT}/%{_lib}/*.so
rm -rf ${RPM_BUILD_ROOT}/%{_mandir}/man2/*
rm -rf ${RPM_BUILD_ROOT}/%{_mandir}/man3/*

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/%{_lib}/*.so.*
%doc doc/capability.notes  doc/capfaq-0.2.txt

%clean
rm -rf ${RPM_BUILD_ROOT}


%changelog

